package com.cnbm.admin.controller;

import com.cnbm.admin.params.LoginParam;
import com.cnbm.admin.service.LoginService;
import com.cnbm.admin.utils.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author weihongyang
 * @Date 2022/6/7 3:55 PM
 * @Version 1.0
 */
@RestController
@Api(tags="登录管理")
@Log4j2
public class LoginController {

    @Autowired
    private LoginService loginService;

    @RequestMapping("/hello")
    @PreAuthorize("@ex.hasAuthority('sys:user:page')")
    public String hello(){
        log.info("hello");
        return "hello";
    }

    @PostMapping("/login")
    @ApiOperation(value = "登录")
    public ResponseResult login(HttpServletRequest request, @RequestBody LoginParam loginParam) {
        return loginService.login(request,loginParam);
    }
}
