package com.cnbm.admin.handler;

import com.cnbm.admin.utils.ResponseResult;
import com.cnbm.admin.utils.WebUtils;
import com.cnbm.common.utils.JsonUtils;
import org.springframework.http.HttpStatus;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.web.access.AccessDeniedHandler;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @Author weihongyang
 * @Date 2022/6/9 11:55 AM
 * @Version 1.0
 */
@Component
public class AccessDeniedHandlerImpl implements AccessDeniedHandler {
    @Override
    public void handle(HttpServletRequest request, HttpServletResponse response, AccessDeniedException accessDeniedException) throws IOException, ServletException {
        ResponseResult result = new ResponseResult(HttpStatus.FORBIDDEN.value(),"您的权限不足");
        String json = JsonUtils.toJsonString(result);
        //处理异常
        WebUtils.renderString(response,json);
    }
}
