package com.cnbm.admin.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Author weihongyang
 * @Date 2022/6/8 9:29 AM
 * @Version 1.0
 */
@Data
@ApiModel(value = "登录表单")
public class LoginParam implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户名", required = true)
    @NotBlank(message="用户名不能为空")
    private String username;

    @ApiModelProperty(value = "密码" , required = true)
    @NotBlank(message="密码不能为空")
    private String password;

    @ApiModelProperty(value = "验证码" , required = true)
    @NotBlank(message="验证码不能为空")
    private String captcha;

    @ApiModelProperty(value = "唯一标识" , required = true)
    @NotBlank(message="uuid不能为空")
    private String uuid;

}
