package com.cnbm.admin.service;

import com.cnbm.admin.dto.SysDeptDTO;
import com.cnbm.admin.entity.SysDeptEntity;
import com.cnbm.common.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @Author weihongyang
 * @Date 2022/6/10 1:38 PM
 * @Version 1.0
 */
public interface SysDeptService extends BaseService<SysDeptEntity> {

    List<SysDeptDTO> list(Map<String, Object> params);

    SysDeptDTO get(Long id);

    void save(SysDeptDTO dto);

    void update(SysDeptDTO dto);

    void delete(Long id);

    /**
     * 根据部门ID，获取本部门及子部门ID列表
     * @param id   部门ID
     */
    List<Long> getSubDeptIdList(Long id);
}
