package com.cnbm.admin.service;

import com.cnbm.admin.dto.SysMenuDTO;
import com.cnbm.admin.entity.SysMenuEntity;
import com.cnbm.admin.entity.SysUserEntity;
import com.cnbm.common.service.BaseService;

import java.util.List;
import java.util.Set;

/**
 * @Author weihongyang
 * @Date 2022/6/10 2:34 PM
 * @Version 1.0
 */
public interface SysMenuService extends BaseService<SysMenuEntity> {

    SysMenuDTO get(Long id);

    void save(SysMenuDTO dto);

    void update(SysMenuDTO dto);

    void delete(Long id);

    /**
     * 菜单列表
     *
     * @param type 菜单类型
     */
    List<SysMenuDTO> getAllMenuList(Integer type);

    /**
     * 用户菜单列表
     *
     * @param user  用户
     * @param type 菜单类型
     */
    List<SysMenuDTO> getUserMenuList(SysUserEntity user, Integer type);

    /**
     * 根据父菜单，查询子菜单
     * @param pid  父菜单ID
     */
    List<SysMenuDTO> getListPid(Long pid);

    Set<String> getUserPermissions(SysUserEntity user);
}
