package com.cnbm.admin.service;

import com.cnbm.admin.dto.SysUserDTO;
import com.cnbm.admin.entity.SysUserEntity;
import com.cnbm.common.page.PageData;
import com.cnbm.common.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @Author weihongyang
 * @Date 2022/6/10 1:24 PM
 * @Version 1.0
 */
public interface SysUserService extends BaseService<SysUserEntity> {

    PageData<SysUserDTO> page(Map<String, Object> params);

    List<SysUserDTO> list(Map<String, Object> params);

    SysUserDTO get(Long id);

    SysUserDTO getByUsername(String username);

    void save(SysUserDTO dto);

    void update(SysUserDTO dto);

    void delete(Long[] ids);

    /**
     * 修改密码
     * @param id           用户ID
     * @param newPassword  新密码
     */
    void updatePassword(Long id, String newPassword);

    /**
     * 根据部门ID，查询用户数
     */
    int getCountByDeptId(Long deptId);

    /**
     * 根据部门ID,查询用户Id列表
     */
    List<Long> getUserIdListByDeptId(List<Long> deptIdList);

}